| Kea 3.0.2-git

io_fetch.h File Reference
`#include <config.h>`
`#include <asiolink/io_address.h>`
`#include <asiolink/io_service.h>`
`#include <dns/message.h>`
`#include <dns/question.h>`
`#include <util/buffer.h>`
`#include <boost/asio/coroutine.hpp>`
`#include <boost/shared_array.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/date_time/posix_time/posix_time_types.hpp>`
`#include <boost/system/error_code.hpp>`
Include dependency graph for io_fetch.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | isc::asiodns::IOFetch::Callback
| I/O Fetch Callback. More...
class | isc::asiodns::IOFetch
| Upstream Fetch Processing. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::asiodns

## Typedefs
typedef boost::shared_ptr< IOFetch > | isc::asiodns::IOFetchPtr
| Defines a pointer to an IOFetch.